using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.BaseData.Data.Mapping.FM
{
	public  class FMUnitMap : APTEntityBaseMap<T_FM_UNIT>
	{
		public override void Configure(EntityTypeBuilder<T_FM_UNIT> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.NAME).HasMaxLength(200);
            builder.Property(t => t.NAME_ACRONYM).HasMaxLength(200);
            builder.Property(t => t.CODE).HasMaxLength(300);
			builder.Property(t => t.REMARK).HasMaxLength(400);
		} 
	}
}
